%global tarball xf86-input-libinput
%global moduledir %(pkg-config xorg-server --variable=moduledir )
%global driverdir %{moduledir}/input

Summary:	Xorg X11 libinput input driver
Name:		x11-driver-input-libinput
Group:		System/X11
Version:	1.5.0
Release:	%mkrel 2
URL:		https://www.github.com/whot/xf86-input-libinput/
License:	MIT

#Source0:    https://github.com/whot/xf86-input-libinput/archive/%{tarball}-%{version}.tar.bz2
Source0:    https://www.x.org/pub/individual/driver/%{tarball}-%{version}.tar.xz
Source1:    71-libinput-overrides-wacom.conf

# Fedora-only hack for hidpi screens
# https://bugzilla.redhat.com/show_bug.cgi?id=1413306
Patch01:    0001-Add-a-DPIScaleFactor-option-as-temporary-solution-to.patch

BuildRequires: pkgconfig(libevdev)
BuildRequires: pkgconfig(libinput) >= 0.21
BuildRequires: pkgconfig(udev)
BuildRequires: pkgconfig(xorg-server) >= 1.19.0
BuildRequires: x11-util-macros

Requires: x11-server-common %(xserver-sdk-abi-requires xinput)
Requires: xkeyboard-config
Recommends: libinput-tools

%description
A generic input driver for the X.Org X11 X server based on libinput,
supporting all devices.

%package devel
Summary:	Xorg X11 libinput input driver devel files
Group:		Development/C

%description devel
Xorg X11 libinput input driver development files.

%prep
%autosetup -p 1 -n %{tarball}-%{version}

%build
%configure --disable-static --disable-silent-rules
%make_build

%install
%make_install

cp %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/X11/xorg.conf.d/

%files 
%doc COPYING
%exclude %{_libdir}/xorg/modules/input/libinput_drv.la
%{driverdir}/libinput_drv.so
%{_datadir}/X11/xorg.conf.d/40-libinput.conf
%{_datadir}/X11/xorg.conf.d/71-libinput-overrides-wacom.conf
%{_mandir}/man4/libinput.4*

%files devel
/usr/include/xorg/libinput-properties.h
%{_libdir}/pkgconfig/xorg-libinput.pc


%changelog
* Mon Jul 07 2025 umeabot <umeabot> 1.5.0-2.mga10
+ Revision: 2249907
- Mageia 10 Mass Rebuild

* Wed Mar 26 2025 tv <tv> 1.5.0-1.mga10
+ Revision: 2170139
- 1.5.0

* Mon Feb 13 2023 ghibo <ghibo> 1.2.1-3.mga9
+ Revision: 1941205
- Rebuild for aging

* Sat Apr 02 2022 umeabot <umeabot> 1.2.1-2.mga9
+ Revision: 1840800
- Mageia 9 Mass Rebuild

* Fri Jan 28 2022 tv <tv> 1.2.1-1.mga9
+ Revision: 1770120
- xf86-input-libinput 1.2.1

* Tue Nov 09 2021 tv <tv> 1.2.0-2.mga9
+ Revision: 1755187
- Rebuild with latest xorgproto+xserver for new touchpad gestures

* Tue Sep 21 2021 tv <tv> 1.2.0-1.mga9
+ Revision: 1746132
- 1.2.0

* Sun Aug 08 2021 luigiwalser <luigiwalser> 1.1.0-1.mga9
+ Revision: 1740314
- 1.1.0

* Mon Jun 14 2021 tv <tv> 1.0.1-2.mga9
+ Revision: 1730698
- Actually apply patch

* Fri Apr 16 2021 tv <tv> 1.0.1-1.mga9
+ Revision: 1715988
- 1.0.1

* Fri Apr 09 2021 tv <tv> 1.0.0-1.mga9
+ Revision: 1714263
- 1.0.0

* Tue Jun 09 2020 tv <tv> 0.30.0-1.mga8
+ Revision: 1591229
- 0.30.0

* Sat Feb 15 2020 umeabot <umeabot> 0.29.0-2.mga8
+ Revision: 1528157
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
+ tv <tv>
- new release

* Mon Feb 04 2019 tv <tv> 0.28.2-1.mga7
+ Revision: 1363153
- new release
- fix URL

* Mon Oct 15 2018 tv <tv> 0.28.1-1.mga7
+ Revision: 1320613
- new release

* Sun Sep 23 2018 umeabot <umeabot> 0.28.0-2.mga7
+ Revision: 1301738
- Mageia 7 Mass Rebuild

* Thu Jul 12 2018 tv <tv> 0.28.0-1.mga7
+ Revision: 1243225
- new release
- use newer macro

* Tue Apr 10 2018 tv <tv> 0.27.1-1.mga7
+ Revision: 1217131
- new release

* Thu Mar 22 2018 tv <tv> 0.27.0-3.mga7
+ Revision: 1211234
- Fix left-handed property missing on all but the first pointer device

* Tue Mar 20 2018 tv <tv> 0.27.0-2.mga7
+ Revision: 1210536
- rebuild for xserver 1.20

* Tue Mar 20 2018 tv <tv> 0.27.0-1.mga7
+ Revision: 1210530
- new release

* Fri Mar 09 2018 tv <tv> 0.26.0-2.mga7
+ Revision: 1207633
- rebuild for xserver 1.20 RC1

* Fri Sep 15 2017 tv <tv> 0.26.0-1.mga7
+ Revision: 1154478
- new release

* Fri May 19 2017 tv <tv> 0.25.1-2.mga6
+ Revision: 1103386
- Add a new option to provide a workaround for the slow pointer movement on
  hidpi displays (rhbz#1413306)

* Wed May 10 2017 tv <tv> 0.25.1-1.mga6
+ Revision: 1100072
- new version

* Thu Mar 09 2017 tv <tv> 0.25.0-1.mga6
+ Revision: 1090597
- new version

* Tue Feb 14 2017 tv <tv> 0.24.0-1.mga6
+ Revision: 1086168
- new version

* Thu Dec 22 2016 tv <tv> 0.23.0-2.mga6
+ Revision: 1076350
- ignore LED updates for disabled devices, avoids a null-pointer dereference
  when an AccessX timeout is set

* Tue Dec 13 2016 tv <tv> 0.23.0-1.mga6
+ Revision: 1074463
- new release

* Sat Dec 03 2016 tv <tv> 0.22.0-5.mga6
+ Revision: 1071831
- Recommends libinput-tools

* Fri Nov 25 2016 tv <tv> 0.22.0-4.mga6
+ Revision: 1070131
- Override touchpads assigned the wacom driver with libinput again
  (rhbz#1397477)

* Thu Nov 17 2016 tv <tv> 0.22.0-3.mga6
+ Revision: 1067621
- rebuild for xserver 1.19

* Tue Nov 15 2016 tv <tv> 0.22.0-2.mga6
+ Revision: 1067482
- match against tablets too

* Thu Oct 20 2016 tv <tv> 0.22.0-1.mga6
+ Revision: 1062746
- new release
- use %%make_install

* Fri Sep 30 2016 tv <tv> 0.20.0-1.mga6
+ Revision: 1057854
- new release

* Wed Sep 14 2016 tv <tv> 0.19.1-1.mga6
+ Revision: 1052946
- new version

* Sat Jul 23 2016 tmb <tmb> 0.19.0-2.mga6
+ Revision: 1043341
- rebuild for xorg-server 1.18.4

* Thu Apr 28 2016 tv <tv> 0.19.0-1.mga6
+ Revision: 1007023
- new release
- use provided conf snippet instead of an older FC one

* Fri Apr 08 2016 tv <tv> 0.18.0-1.mga6
+ Revision: 999352
- new release

* Fri Feb 26 2016 tv <tv> 0.17.0-1.mga6
+ Revision: 979383
- new release

* Wed Dec 23 2015 tv <tv> 0.16.0-2.mga6
+ Revision: 913782
- submit to core/release

* Wed Dec 23 2015 tv <tv> 0.16.0-1.mga6
+ Revision: 913777
- new release

* Wed Nov 11 2015 tv <tv> 0.15.0-3.mga6
+ Revision: 902260
- submit to core/release

* Tue Nov 10 2015 tv <tv> 0.15.0-2.mga6
+ Revision: 901395
- rebuild for new xserver

* Thu Oct 29 2015 tv <tv> 0.15.0-1.mga6
+ Revision: 896179
- new release
- new release

* Mon Aug 31 2015 tv <tv> 0.14.0-1.mga6
+ Revision: 871600
- new release

* Tue Aug 04 2015 tv <tv> 0.13.0-1.mga6
+ Revision: 861081
- versionate BR on libinput
- new release

* Fri Jul 24 2015 tv <tv> 0.12.0-1.mga6
+ Revision: 857012
- new release

* Sat Jun 20 2015 tv <tv> 0.11.0-1.mga6
+ Revision: 835946
- new release

* Sat Jun 20 2015 tv <tv> 0.10.0-1.mga6
+ Revision: 835914
- new release

* Mon Feb 23 2015 tv <tv> 0.1.2-5.mga5
+ Revision: 816768
- update xorg.d from FC (exclude tablets & joysticks)

* Wed Oct 15 2014 umeabot <umeabot> 0.1.2-4.mga5
+ Revision: 746351
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.1.2-3.mga5
+ Revision: 726361
- fix requires

* Tue Sep 16 2014 umeabot <umeabot> 0.1.2-2.mga5
+ Revision: 690407
- Mageia 5 Mass Rebuild

* Sat Sep 13 2014 tv <tv> 0.1.2-1.mga5
+ Revision: 675000
- imported package x11-driver-input-libinput


* Sat Sep 13 2014 Thierry Vignaud <tv@mageia.org> 0.1.2-1.mga5
- initial release

